<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*,m05bClasses.m05bConstantesPaginas" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<HTML>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>

<head>
		<title><%= resTit.getString("titRelResponsables")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
</head>

<BODY onload="document.body.style.cursor='default';InitMenu();" onkeydown="cancelaEnter();" style="cursor: wait" onunload="document.body.style.cursor='wait';">
		<SCRIPT language=JavaScript>
			var urlIdioma;		//URL recarga en funcion del idioma
			var rutaCabecera;	//Camino de migas
			var detActual;		//Ventana actual
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_RESPONSABLES%>";
			detActual = '<%=resCM.getString("cmRelResponsables")%>';
			rutaCabecera="";
			//rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
		</SCRIPT>
		<%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p>
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			 <FORM NAME="FormRelResponsables" METHOD="POST">
					 <TABLE class="general">
					    <tr> 
					    <td width="90%" align="right"> 					    
					    	<input type="button" class="boton" name="<%= res.getString("etBOT_PRESENTAR")%>" value="<%= res.getString("etBOT_PRESENTAR")%>" ONCLICK="JavaScript:fncImprimir(); return false" onMouseOver="top.status='<%= res.getString("etBOT_STATUSPRESENTAR")%>'; return false" onMouseOut="top.status=''; return false" />
					    </td>
					    <td align="right"> 
					    	<input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />
					    </td>
					   </tr>
					 </TABLE>
					 <p>
					 <TABLE class="general">
					    <tr > 
					       <td class="searchTitle" width="20%"><%= res.getString("etCodigo")%></td>
					       <td class="searchTitle" width="40%"><%= res.getString("etCargo")%></td>
					       <td class="searchTitle" width="40%"><%= res.getString("etNombre")%></td>
					    </tr>
					 </TABLE>
					 <TABLE class="general">
					<%
							int contador = 0;
						String sql = "", sql2 = "";
						String codigo="", cargo="", nombre="";
						codigo = request.getParameter("Codigo");
						if (codigo==null)
							codigo= "";
                        java.sql.Connection conn=null;
                        PreparedStatement pstmt = null;
                        ResultSet rs = null;
							
					try{
						session.removeAttribute("Responsable");
						sql = "select "+m05bConstantes.COL_26_CODIGO+",NVL("+
						       campoTexto+m05bConstantes.COL_26_CARGO+" , "+
						       m05bConstantes.COL_26_CARGO+" ), "+
						       m05bConstantes.COL_26_NOMBRE+" from " +
						       m05bConstantes.TAB_FIRMAS;

						sql = sql +  " order by " + m05bConstantes.COL_26_CODIGO;

						//m05bbBeginSelect(sql);

		                m05bConexion miConex = new m05bConexion();
                        conn = miConex.getConnection();
                        conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit	 
		                pstmt = conn.prepareStatement(sql);
						if ((codigo.equals("")) || (codigo == null))
							contador = contador;
						else{
							contador = contador + 1;
							pstmt.setString(contador, codigo);
						}
		                rs = pstmt.executeQuery();
						//m05bRS = m05bPStmt.executeQuery();
						contador = 0;
						while (rs.next() == true){
							codigo = rs.getString(1);
							cargo = rs.getString(2);
							if (cargo==null)
								cargo="";
							nombre = rs.getString(3);
							if (nombre==null)
								nombre="";
							++contador;
						%>
							<tr>
							   <td class=inputFieldTitle width="20%"><FONT size=2><A href="JavaScript:fncModificar('<%=codigo%>')"><%=codigo%></A></FONT></td>
					   		   <td class=inputFieldTitle width="40%"><FONT size=2><%=cargo%></FONT></td>
					   		   <td class=inputFieldTitle width="40%"><FONT size=2><%=nombre%></FONT></td>
							</tr>
						<%}%>
						    <tr></tr>
						    <tr align="center">
								    <td class="inputField" colspan="3"><%= res.getString("etTotal")%> <%=contador%></td>
						    </tr>
						</TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>	</td>
	</tr>
</table>
<SCRIPT language=JavaScript>
	function fncNuevo() {
		var docu = document.FormRelResponsables;
   		docu.action="m05bResponsablesJsp.jsp?Mensaje=false";
   		docu.submit();
	}  // Fin funcion fncNuevo
	function fncModificar(codigo) {
		var docu = document.FormRelResponsables;
        docu.action="m05bGenerarResponsableServlet?Codigo=" + codigo + "&Mensaje=false";
        docu.submit();
    }   // Fin funcion fncModificar
    function fncImprimir() {
		var docu = document.FormRelResponsables;
        docu.action="m05bResponsablesPDFJsp.jsp";
        docu.submit();
    }   // Fin funcion fncImprimir
    setTimeout('initSlide();', 1);
</SCRIPT>
<%
} catch (Exception SQLException) {
	m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
	miLog.addTraza(SQLException);
} finally {
	//m05bEndSelect();
		if (rs != null)
		    rs.close();
		if (pstmt != null)
		    pstmt.close();
		if (conn != null)
		    conn.close();
	
}%>
</BODY>
</HTML>